version: "3.9"

services:
    duplicati:
        image: linuxserver/duplicati
        container_name: duplicati
        restart: always
        ports:
            - 8200:8200  # Interface web accessible sur http://localhost:8200
        environment:
            - PUID=1000
            - PGID=1000
            - TZ=Europe/Paris
            - SETTINGS_ENCRYPTION_KEY=nyfNRe229zQTGVVh  # 🔐 Ajoute une clé de chiffrement
            - DUPLICATI__WEB__AUTHENTICATION__USERNAME=bxlife
            - DUPLICATI__WEB__AUTHENTICATION__PASSWORD=LhjlWfTa3ahuOg9J
        volumes:
            - /:/host_root:ro  # Accès en lecture seule à tout l'hôte
            - ./backups:/source  # Dossier où sont stockés les backups locaux
            - ./duplicati:/config  # Configuration et base de données Duplicati